#!/usr/bin/env python

from qt import *
import sys

from client import form as Dialog

def snap():
    pix = QPixmap.grabWidget(d)
    pix.save("snap.bmp", "BMP")

try:
    x,y,w,h = sys.argv[1:5]
except ValueError:
    print "must be called './clientstart.py x y w h'"
    sys.exit(1)

x,y,w,h = int(x),int(y),int(w),int(h)


app = QApplication(sys.argv)
d = Dialog()
app.setMainWidget(d)
#d.setGeometry(x,y,w,h)
d.show()

t = QTimer()
QObject.connect(t , SIGNAL("timeout()"), snap)
t.start(1000, True)

app.exec_loop()